"""add location and time to storyboards

Revision ID: bfac9b8e32f5
Revises: 72f609dd9e66
Create Date: 2026-01-11 00:49:48.323949

"""
from typing import Sequence, Union

from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision: str = 'bfac9b8e32f5'
down_revision: Union[str, Sequence[str], None] = '72f609dd9e66'
branch_labels: Union[str, Sequence[str], None] = None
depends_on: Union[str, Sequence[str], None] = None


def upgrade() -> None:
    """Upgrade schema."""
    op.add_column('storyboards', sa.Column('location', sa.String(), nullable=True))
    op.add_column('storyboards', sa.Column('time', sa.String(), nullable=True))


def downgrade() -> None:
    """Downgrade schema."""
    op.drop_column('storyboards', 'time')
    op.drop_column('storyboards', 'location')
